PNGCHECK(1)

NAME
pngcheck - manual page for pngcheck 3.0.2

SYNOPSIS
pngcheck [-7cpqtv] file.{png|jng|mng} [file2.{png|jng|mng} [...]]
... | pngcheck [-7cpqstvx]
pngcheck [-7cpqstvx] file-containing-PNGs...

DESCRIPTION
PNGcheck, version 3.0.2 of 31 January 2021, by Alexander Lehmann, Andreas Dilger and Greg Roelofs.

Test PNG, JNG or MNG image files for corruption, and print size/type info.

OPTIONS

-7  print contents of tEXt chunks, escape chars >=128 (for 7-bit terminals)

-c  colorize output (for ANSI terminals)

-p  print contents of PLTE, tRNS, hIST, sPLT and PPLT (can be used with -q)

-q  test quietly (output only errors)

-s  search for PNGs within another file

-t  print contents of tEXt chunks (can be used with -q)

-v  test verbosely (print most chunk data)

-vv test very verbosely (decode & print line filters)

-w  suppress windowBits test (more-stringent compression check)

-x  search for PNGs within another file and extract them when found

NOTE
MNG support is more informational than conformance-oriented.

SEE ALSO
pngsplit(1), png-fix-IDAT-windowsize(1)